namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Item::prev_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Item::next_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::efl_ui_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::efl_ui_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Item::prev_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::ui::Item>::type Item::next_get() const
{
    ::Efl_Ui_Item* __return_value =  ::efl_ui_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::ui::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::efl_ui_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::efl_ui_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline efl::ui::Item::operator ::efl::ui::Item() const { return *static_cast< ::efl::ui::Item const*>(static_cast<void const*>(this)); }
inline efl::ui::Item::operator ::efl::ui::Item&() { return *static_cast< ::efl::ui::Item*>(static_cast<void*>(this)); }
inline efl::ui::Item::operator ::efl::ui::Item const&() const { return *static_cast< ::efl::ui::Item const*>(static_cast<void const*>(this)); }
} } }

